Subject: bug#30395: ‘gcc’ doesn't compile with LD_LIBRARY_PATH="$HOME/.guix-profile/lib"

From: [email-masked] (Ludovic Courtès)
Date: Fri, 16 Feb 2018 14:03:30 +0100

Mathieu Lirzin <[email-masked]> skribis:

> GCC is waiting on ‘collect2’ to finish and ‘collect2’ according to [1]
> tries to find ‘ld’.  When ‘ld’ is provided by Binutils the program
> completes but not with ‘ld-wrapper’ on my machine, so I suspect this is
> related to ‘ld-wrapper’, but maybe this is just a symptom of something
> else.

Oooh, I see.  It could be the ‘guile’ used by ld-wrapper that fails
somehow.

Do you have ‘guile’ in ~/.guix-profile?  You could run again that gcc
command, this time prefixed with “strace -f -o log” to see which
libguile.so is being used when ‘ld’ is invoked, and whether something
else is going on, such as auto-compilation or something?

Ludo’.